#!/usr/bin/sh

FLAVOR=$1
PACKAGE=cmake-data

ELDIR=/usr/share/emacs/site-lisp/
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
ELFILE=cmake-mode.el
FLAGS="-batch -no-site-file -l path.el -f batch-byte-compile"

if [ ${FLAVOR} != emacs ]; then
	echo install/${PACKAGE}: Byte-compiling for ${FLAVOR}

	install -m 755 -d ${ELCDIR}

	# Source file symlink (emacsen policy 5C)
	ln -s "${ELDIR}/${ELFILE}" "${ELCDIR}/${ELFILE}"

	# Compile cmake-mode.el
	cd ${ELCDIR}
	cat << EOF > path.el
(setq load-path (cons "." load-path) byte-compile-warnings nil)
EOF
	${FLAVOR} ${FLAGS} ${ELFILE}
	rm -f path.el
fi
